SkinnyMethodAdapter (Jython API documentation)
Date: 2024-08-18

org.python.modules.jffi

## Class SkinnyMethodAdapter

- java.lang.Object
- - org.objectweb.asm.MethodVisitor
  - - org.python.modules.jffi.SkinnyMethodAdapter

- All Implemented Interfaces:
    org.objectweb.asm.Opcodes

      public class SkinnyMethodAdapter
      extends org.objectweb.asm.MethodVisitor
      implements org.objectweb.asm.Opcodes

  Author:
    headius

- - ### Field Summary

    - ### Fields inherited from interface org.objectweb.asm.Opcodes

      `AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_MANDATED, ACC_MODULE, ACC_NATIVE, ACC_OPEN, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_RECORD, ACC_STATIC, ACC_STATIC_PHASE, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_TRANSITIVE, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASM10_EXPERIMENTAL, ASM4, ASM5, ASM6, ASM7, ASM8, ASM9, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DOUBLE, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F_APPEND, F_CHOP, F_FULL, F_NEW, F_SAME, F_SAME1, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FLOAT, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, H_GETFIELD, H_GETSTATIC, H_INVOKEINTERFACE, H_INVOKESPECIAL, H_INVOKESTATIC, H_INVOKEVIRTUAL, H_NEWINVOKESPECIAL, H_PUTFIELD, H_PUTSTATIC, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INTEGER, INVOKEDYNAMIC, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LONG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, NULL, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SOURCE_DEPRECATED, SOURCE_MASK, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, TOP, UNINITIALIZED_THIS, V_PREVIEW, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6, V1_7, V1_8, V10, V11, V12, V13, V14, V15, V16, V17, V18, V19, V20, V21, V22, V23, V9`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinnyMethodAdapter(org.objectweb.asm.ClassVisitor cv, int flags, java.lang.String name, java.lang.String signature, java.lang.String something, java.lang.String[] exceptions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aaload()`
    `void` | `aastore()`
    `void` | `aconst_null()`
    `void` | `aload(int arg0)`
    `void` | `aloadMany(int... args)` Short-hand for specifying a set of aloads
    `void` | `anewarray(java.lang.String arg0)`
    `void` | `aprintln()`
    `void` | `areturn()`
    `void` | `arraylength()`
    `void` | `arrayload()`
    `void` | `arraystore()`
    `void` | `astore(int arg0)`
    `void` | `athrow()`
    `void` | `baload()`
    `void` | `barrayload()`
    `void` | `barraystore()`
    `void` | `bastore()`
    `void` | `bipush(int arg)`
    `void` | `caload()`
    `void` | `castore()`
    `void` | `checkcast(java.lang.String arg0)`
    `void` | `d2f()`
    `void` | `d2i()`
    `void` | `d2l()`
    `void` | `dadd()`
    `void` | `daload()`
    `void` | `dastore()`
    `void` | `dcmpg()`
    `void` | `dcmpl()`
    `void` | `ddiv()`
    `void` | `dload(int arg0)`
    `void` | `dmul()`
    `void` | `dneg()`
    `void` | `drem()`
    `void` | `dreturn()`
    `void` | `dstore(int arg0)`
    `void` | `dsub()`
    `void` | `dup_x1()`
    `void` | `dup_x2()`
    `void` | `dup()`
    `void` | `dup2_x1()`
    `void` | `dup2_x2()`
    `void` | `dup2()`
    `void` | `end()`
    `void` | `f2d()`
    `void` | `f2i()`
    `void` | `f2l()`
    `void` | `fadd()`
    `void` | `faload()`
    `void` | `fastore()`
    `void` | `fcmpg()`
    `void` | `fcmpl()`
    `void` | `fdiv()`
    `void` | `fload(int arg0)`
    `void` | `fmul()`
    `void` | `fneg()`
    `void` | `frem()`
    `void` | `freturn()`
    `void` | `fstore(int arg0)`
    `void` | `fsub()`
    `void` | `getfield(java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `org.objectweb.asm.MethodVisitor` | `getMethodVisitor()`
    `void` | `getstatic(java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `void` | `go_to(org.objectweb.asm.Label arg0)`
    `void` | `i2b()`
    `void` | `i2c()`
    `void` | `i2d()`
    `void` | `i2f()`
    `void` | `i2l()`
    `void` | `i2s()`
    `void` | `iadd()`
    `void` | `iaload()`
    `void` | `iand()`
    `void` | `iarrayload()`
    `void` | `iastore()`
    `void` | `iconst_0()`
    `void` | `iconst_1()`
    `void` | `iconst_2()`
    `void` | `iconst_3()`
    `void` | `iconst_4()`
    `void` | `iconst_5()`
    `void` | `iconst_m1()`
    `void` | `idiv()`
    `void` | `if_acmpeq(org.objectweb.asm.Label arg0)`
    `void` | `if_acmpne(org.objectweb.asm.Label arg0)`
    `void` | `if_icmpeq(org.objectweb.asm.Label arg0)`
    `void` | `if_icmpgt(org.objectweb.asm.Label arg0)`
    `void` | `if_icmple(org.objectweb.asm.Label arg0)`
    `void` | `if_icmplt(org.objectweb.asm.Label arg0)`
    `void` | `if_icmpne(org.objectweb.asm.Label arg0)`
    `void` | `ifeq(org.objectweb.asm.Label arg0)`
    `void` | `iffalse(org.objectweb.asm.Label arg0)`
    `void` | `ifge(org.objectweb.asm.Label arg0)`
    `void` | `ifgt(org.objectweb.asm.Label arg0)`
    `void` | `ifle(org.objectweb.asm.Label arg0)`
    `void` | `iflt(org.objectweb.asm.Label arg0)`
    `void` | `ifne(org.objectweb.asm.Label arg0)`
    `void` | `ifnonnull(org.objectweb.asm.Label arg0)`
    `void` | `ifnull(org.objectweb.asm.Label arg0)`
    `void` | `iftrue(org.objectweb.asm.Label arg0)`
    `void` | `iinc(int arg0, int arg1)`
    `void` | `iload(int arg0)`
    `void` | `imul()`
    `void` | `ineg()`
    `void` | `instance_of(java.lang.String arg0)`
    `void` | `invokeinterface(java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `void` | `invokespecial(java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `void` | `invokestatic(java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `void` | `invokevirtual(java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `void` | `ior()`
    `void` | `iprintln()`
    `void` | `irem()`
    `void` | `ireturn()`
    `void` | `ishl()`
    `void` | `ishr()`
    `void` | `istore(int arg0)`
    `void` | `isub()`
    `void` | `iushr()`
    `void` | `ixor()`
    `void` | `jsr(org.objectweb.asm.Label branch)`
    `void` | `l2d()`
    `void` | `l2f()`
    `void` | `l2i()`
    `void` | `label(org.objectweb.asm.Label label)`
    `void` | `ladd()`
    `void` | `laload()`
    `void` | `land()`
    `void` | `lastore()`
    `void` | `lcmp()`
    `void` | `lconst_0()`
    `void` | `ldc(java.lang.Object arg0)`
    `void` | `ldiv()`
    `void` | `line(int line)`
    `void` | `line(int line, org.objectweb.asm.Label label)`
    `void` | `lload(int arg0)`
    `void` | `lmul()`
    `void` | `lneg()`
    `void` | `lookupswitch(org.objectweb.asm.Label arg0, int[] arg1, org.objectweb.asm.Label[] arg2)`
    `void` | `lor()`
    `void` | `lrem()`
    `void` | `lreturn()`
    `void` | `lshl()`
    `void` | `lshr()`
    `void` | `lstore(int arg0)`
    `void` | `lsub()`
    `void` | `lushr()`
    `void` | `lxor()`
    `void` | `monitorenter()`
    `void` | `monitorexit()`
    `void` | `multianewarray(java.lang.String arg0, int dims)`
    `void` | `newarray(int arg0)`
    `void` | `newobj(java.lang.String arg0)`
    `void` | `nop()`
    `void` | `pop()`
    `void` | `pop2()`
    `void` | `pushBoolean(boolean bool)`
    `void` | `pushInt(int value)`
    `void` | `putfield(java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `void` | `putstatic(java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `void` | `ret(int arg0)`
    `void` | `saload()`
    `void` | `sastore()`
    `void` | `setMethodVisitor(org.objectweb.asm.MethodVisitor mv)`
    `void` | `sipush(int arg)`
    `void` | `start()`
    `void` | `swap()`
    `void` | `swap2()`
    `void` | `tableswitch(int min, int max, org.objectweb.asm.Label defaultLabel, org.objectweb.asm.Label[] cases)`
    `void` | `trycatch(org.objectweb.asm.Label arg0, org.objectweb.asm.Label arg1, org.objectweb.asm.Label arg2, java.lang.String arg3)`
    `void` | `trycatch(java.lang.String type, java.lang.Runnable body, java.lang.Runnable catchBody)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String arg0, boolean arg1)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotationDefault()`
    `void` | `visitAttribute(org.objectweb.asm.Attribute arg0)`
    `void` | `visitCode()`
    `void` | `visitEnd()`
    `void` | `visitFieldInsn(int arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
    `void` | `visitFrame(int arg0, int arg1, java.lang.Object[] arg2, int arg3, java.lang.Object[] arg4)`
    `void` | `visitIincInsn(int arg0, int arg1)`
    `void` | `visitInsn(int arg0)`
    `void` | `visitIntInsn(int arg0, int arg1)`
    `void` | `visitJumpInsn(int arg0, org.objectweb.asm.Label arg1)`
    `void` | `visitLabel(org.objectweb.asm.Label arg0)`
    `void` | `visitLdcInsn(java.lang.Object arg0)`
    `void` | `visitLineNumber(int arg0, org.objectweb.asm.Label arg1)`
    `void` | `visitLocalVariable(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, org.objectweb.asm.Label arg3, org.objectweb.asm.Label arg4, int arg5)`
    `void` | `visitLookupSwitchInsn(org.objectweb.asm.Label arg0, int[] arg1, org.objectweb.asm.Label[] arg2)`
    `void` | `visitMaxs(int arg0, int arg1)`
    `void` | `visitMethodInsn(int arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)` Deprecated.
    `void` | `visitMethodInsn(int arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, boolean arg4)`
    `void` | `visitMultiANewArrayInsn(java.lang.String arg0, int arg1)`
    `org.objectweb.asm.AnnotationVisitor` | `visitParameterAnnotation(int arg0, java.lang.String arg1, boolean arg2)`
    `void` | `visitTableSwitchInsn(int arg0, int arg1, org.objectweb.asm.Label arg2, org.objectweb.asm.Label... arg3)`
    `void` | `visitTryCatchBlock(org.objectweb.asm.Label arg0, org.objectweb.asm.Label arg1, org.objectweb.asm.Label arg2, java.lang.String arg3)`
    `void` | `visitTypeInsn(int arg0, java.lang.String arg1)`
    `void` | `visitVarInsn(int arg0, int arg1)`
    `void` | `voidreturn()`

    - ### Methods inherited from class org.objectweb.asm.MethodVisitor

      `getDelegate, visitAnnotableParameterCount, visitInsnAnnotation, visitInvokeDynamicInsn, visitLocalVariableAnnotation, visitParameter, visitTryCatchAnnotation, visitTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinnyMethodAdapter

          public SkinnyMethodAdapter(org.objectweb.asm.ClassVisitor cv,
                                     int flags,
                                     java.lang.String name,
                                     java.lang.String signature,
                                     java.lang.String something,
                                     java.lang.String[] exceptions)

  - ### Method Detail

    - #### getMethodVisitor

          public org.objectweb.asm.MethodVisitor getMethodVisitor()

    - #### setMethodVisitor

          public void setMethodVisitor(org.objectweb.asm.MethodVisitor mv)

    - #### aloadMany

          public void aloadMany(int... args)

      Short-hand for specifying a set of aloads
      Parameters:
        `args` - list of aloads you want

    - #### aload

          public void aload(int arg0)

    - #### iload

          public void iload(int arg0)

    - #### lload

          public void lload(int arg0)

    - #### fload

          public void fload(int arg0)

    - #### dload

          public void dload(int arg0)

    - #### astore

          public void astore(int arg0)

    - #### istore

          public void istore(int arg0)

    - #### lstore

          public void lstore(int arg0)

    - #### fstore

          public void fstore(int arg0)

    - #### dstore

          public void dstore(int arg0)

    - #### ldc

          public void ldc(java.lang.Object arg0)

    - #### bipush

          public void bipush(int arg)

    - #### sipush

          public void sipush(int arg)

    - #### pushInt

          public void pushInt(int value)

    - #### pushBoolean

          public void pushBoolean(boolean bool)

    - #### invokestatic

          public void invokestatic(java.lang.String arg1,
                                   java.lang.String arg2,
                                   java.lang.String arg3)

    - #### invokespecial

          public void invokespecial(java.lang.String arg1,
                                    java.lang.String arg2,
                                    java.lang.String arg3)

    - #### invokevirtual

          public void invokevirtual(java.lang.String arg1,
                                    java.lang.String arg2,
                                    java.lang.String arg3)

    - #### invokeinterface

          public void invokeinterface(java.lang.String arg1,
                                      java.lang.String arg2,
                                      java.lang.String arg3)

    - #### aprintln

          public void aprintln()

    - #### iprintln

          public void iprintln()

    - #### areturn

          public void areturn()

    - #### ireturn

          public void ireturn()

    - #### freturn

          public void freturn()

    - #### lreturn

          public void lreturn()

    - #### dreturn

          public void dreturn()

    - #### newobj

          public void newobj(java.lang.String arg0)

    - #### dup

          public void dup()

    - #### swap

          public void swap()

    - #### swap2

          public void swap2()

    - #### getstatic

          public void getstatic(java.lang.String arg1,
                                java.lang.String arg2,
                                java.lang.String arg3)

    - #### putstatic

          public void putstatic(java.lang.String arg1,
                                java.lang.String arg2,
                                java.lang.String arg3)

    - #### getfield

          public void getfield(java.lang.String arg1,
                               java.lang.String arg2,
                               java.lang.String arg3)

    - #### putfield

          public void putfield(java.lang.String arg1,
                               java.lang.String arg2,
                               java.lang.String arg3)

    - #### voidreturn

          public void voidreturn()

    - #### anewarray

          public void anewarray(java.lang.String arg0)

    - #### multianewarray

          public void multianewarray(java.lang.String arg0,
                                     int dims)

    - #### newarray

          public void newarray(int arg0)

    - #### iconst_m1

          public void iconst_m1()

    - #### iconst_0

          public void iconst_0()

    - #### iconst_1

          public void iconst_1()

    - #### iconst_2

          public void iconst_2()

    - #### iconst_3

          public void iconst_3()

    - #### iconst_4

          public void iconst_4()

    - #### iconst_5

          public void iconst_5()

    - #### lconst_0

          public void lconst_0()

    - #### aconst_null

          public void aconst_null()

    - #### label

          public void label(org.objectweb.asm.Label label)

    - #### nop

          public void nop()

    - #### pop

          public void pop()

    - #### pop2

          public void pop2()

    - #### arrayload

          public void arrayload()

    - #### arraystore

          public void arraystore()

    - #### iarrayload

          public void iarrayload()

    - #### barrayload

          public void barrayload()

    - #### barraystore

          public void barraystore()

    - #### aaload

          public void aaload()

    - #### aastore

          public void aastore()

    - #### iaload

          public void iaload()

    - #### iastore

          public void iastore()

    - #### laload

          public void laload()

    - #### lastore

          public void lastore()

    - #### baload

          public void baload()

    - #### bastore

          public void bastore()

    - #### saload

          public void saload()

    - #### sastore

          public void sastore()

    - #### caload

          public void caload()

    - #### castore

          public void castore()

    - #### faload

          public void faload()

    - #### fastore

          public void fastore()

    - #### daload

          public void daload()

    - #### dastore

          public void dastore()

    - #### fcmpl

          public void fcmpl()

    - #### fcmpg

          public void fcmpg()

    - #### dcmpl

          public void dcmpl()

    - #### dcmpg

          public void dcmpg()

    - #### dup_x2

          public void dup_x2()

    - #### dup_x1

          public void dup_x1()

    - #### dup2_x2

          public void dup2_x2()

    - #### dup2_x1

          public void dup2_x1()

    - #### dup2

          public void dup2()

    - #### trycatch

          public void trycatch(org.objectweb.asm.Label arg0,
                               org.objectweb.asm.Label arg1,
                               org.objectweb.asm.Label arg2,
                               java.lang.String arg3)

    - #### trycatch

          public void trycatch(java.lang.String type,
                               java.lang.Runnable body,
                               java.lang.Runnable catchBody)

    - #### go_to

          public void go_to(org.objectweb.asm.Label arg0)

    - #### lookupswitch

          public void lookupswitch(org.objectweb.asm.Label arg0,
                                   int[] arg1,
                                   org.objectweb.asm.Label[] arg2)

    - #### athrow

          public void athrow()

    - #### instance_of

          public void instance_of(java.lang.String arg0)

    - #### ifeq

          public void ifeq(org.objectweb.asm.Label arg0)

    - #### iffalse

          public void iffalse(org.objectweb.asm.Label arg0)

    - #### ifne

          public void ifne(org.objectweb.asm.Label arg0)

    - #### iftrue

          public void iftrue(org.objectweb.asm.Label arg0)

    - #### if_acmpne

          public void if_acmpne(org.objectweb.asm.Label arg0)

    - #### if_acmpeq

          public void if_acmpeq(org.objectweb.asm.Label arg0)

    - #### if_icmple

          public void if_icmple(org.objectweb.asm.Label arg0)

    - #### if_icmpgt

          public void if_icmpgt(org.objectweb.asm.Label arg0)

    - #### if_icmplt

          public void if_icmplt(org.objectweb.asm.Label arg0)

    - #### if_icmpne

          public void if_icmpne(org.objectweb.asm.Label arg0)

    - #### if_icmpeq

          public void if_icmpeq(org.objectweb.asm.Label arg0)

    - #### checkcast

          public void checkcast(java.lang.String arg0)

    - #### start

          public void start()

    - #### end

          public void end()

    - #### line

          public void line(int line)

    - #### line

          public void line(int line,
                           org.objectweb.asm.Label label)

    - #### ifnonnull

          public void ifnonnull(org.objectweb.asm.Label arg0)

    - #### ifnull

          public void ifnull(org.objectweb.asm.Label arg0)

    - #### iflt

          public void iflt(org.objectweb.asm.Label arg0)

    - #### ifle

          public void ifle(org.objectweb.asm.Label arg0)

    - #### ifgt

          public void ifgt(org.objectweb.asm.Label arg0)

    - #### ifge

          public void ifge(org.objectweb.asm.Label arg0)

    - #### arraylength

          public void arraylength()

    - #### ishr

          public void ishr()

    - #### ishl

          public void ishl()

    - #### iushr

          public void iushr()

    - #### lshr

          public void lshr()

    - #### lshl

          public void lshl()

    - #### lushr

          public void lushr()

    - #### lcmp

          public void lcmp()

    - #### iand

          public void iand()

    - #### ior

          public void ior()

    - #### ixor

          public void ixor()

    - #### land

          public void land()

    - #### lor

          public void lor()

    - #### lxor

          public void lxor()

    - #### iadd

          public void iadd()

    - #### ladd

          public void ladd()

    - #### fadd

          public void fadd()

    - #### dadd

          public void dadd()

    - #### isub

          public void isub()

    - #### lsub

          public void lsub()

    - #### fsub

          public void fsub()

    - #### dsub

          public void dsub()

    - #### idiv

          public void idiv()

    - #### irem

          public void irem()

    - #### ineg

          public void ineg()

    - #### i2d

          public void i2d()

    - #### i2l

          public void i2l()

    - #### i2f

          public void i2f()

    - #### i2s

          public void i2s()

    - #### i2c

          public void i2c()

    - #### i2b

          public void i2b()

    - #### ldiv

          public void ldiv()

    - #### lrem

          public void lrem()

    - #### lneg

          public void lneg()

    - #### l2d

          public void l2d()

    - #### l2i

          public void l2i()

    - #### l2f

          public void l2f()

    - #### fdiv

          public void fdiv()

    - #### frem

          public void frem()

    - #### fneg

          public void fneg()

    - #### f2d

          public void f2d()

    - #### f2i

          public void f2i()

    - #### f2l

          public void f2l()

    - #### ddiv

          public void ddiv()

    - #### drem

          public void drem()

    - #### dneg

          public void dneg()

    - #### d2f

          public void d2f()

    - #### d2i

          public void d2i()

    - #### d2l

          public void d2l()

    - #### imul

          public void imul()

    - #### lmul

          public void lmul()

    - #### fmul

          public void fmul()

    - #### dmul

          public void dmul()

    - #### iinc

          public void iinc(int arg0,
                           int arg1)

    - #### monitorenter

          public void monitorenter()

    - #### monitorexit

          public void monitorexit()

    - #### jsr

          public void jsr(org.objectweb.asm.Label branch)

    - #### ret

          public void ret(int arg0)

    - #### visitAnnotationDefault

          public org.objectweb.asm.AnnotationVisitor visitAnnotationDefault()

      Overrides:
        `visitAnnotationDefault` in class `org.objectweb.asm.MethodVisitor`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String arg0,
                                                                     boolean arg1)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.MethodVisitor`

    - #### visitParameterAnnotation

          public org.objectweb.asm.AnnotationVisitor visitParameterAnnotation(int arg0,
                                                                              java.lang.String arg1,
                                                                              boolean arg2)

      Overrides:
        `visitParameterAnnotation` in class `org.objectweb.asm.MethodVisitor`

    - #### visitAttribute

          public void visitAttribute(org.objectweb.asm.Attribute arg0)

      Overrides:
        `visitAttribute` in class `org.objectweb.asm.MethodVisitor`

    - #### visitCode

          public void visitCode()

      Overrides:
        `visitCode` in class `org.objectweb.asm.MethodVisitor`

    - #### visitInsn

          public void visitInsn(int arg0)

      Overrides:
        `visitInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitIntInsn

          public void visitIntInsn(int arg0,
                                   int arg1)

      Overrides:
        `visitIntInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitVarInsn

          public void visitVarInsn(int arg0,
                                   int arg1)

      Overrides:
        `visitVarInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitTypeInsn

          public void visitTypeInsn(int arg0,
                                    java.lang.String arg1)

      Overrides:
        `visitTypeInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitFieldInsn

          public void visitFieldInsn(int arg0,
                                     java.lang.String arg1,
                                     java.lang.String arg2,
                                     java.lang.String arg3)

      Overrides:
        `visitFieldInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitMethodInsn

          @Deprecated
          public void visitMethodInsn(int arg0,
                                                   java.lang.String arg1,
                                                   java.lang.String arg2,
                                                   java.lang.String arg3)

      Deprecated.
      Overrides:
        `visitMethodInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitMethodInsn

          public void visitMethodInsn(int arg0,
                                      java.lang.String arg1,
                                      java.lang.String arg2,
                                      java.lang.String arg3,
                                      boolean arg4)

      Overrides:
        `visitMethodInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitJumpInsn

          public void visitJumpInsn(int arg0,
                                    org.objectweb.asm.Label arg1)

      Overrides:
        `visitJumpInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitLabel

          public void visitLabel(org.objectweb.asm.Label arg0)

      Overrides:
        `visitLabel` in class `org.objectweb.asm.MethodVisitor`

    - #### visitLdcInsn

          public void visitLdcInsn(java.lang.Object arg0)

      Overrides:
        `visitLdcInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitIincInsn

          public void visitIincInsn(int arg0,
                                    int arg1)

      Overrides:
        `visitIincInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitTableSwitchInsn

          public void visitTableSwitchInsn(int arg0,
                                           int arg1,
                                           org.objectweb.asm.Label arg2,
                                           org.objectweb.asm.Label... arg3)

      Overrides:
        `visitTableSwitchInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitLookupSwitchInsn

          public void visitLookupSwitchInsn(org.objectweb.asm.Label arg0,
                                            int[] arg1,
                                            org.objectweb.asm.Label[] arg2)

      Overrides:
        `visitLookupSwitchInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitMultiANewArrayInsn

          public void visitMultiANewArrayInsn(java.lang.String arg0,
                                              int arg1)

      Overrides:
        `visitMultiANewArrayInsn` in class `org.objectweb.asm.MethodVisitor`

    - #### visitTryCatchBlock

          public void visitTryCatchBlock(org.objectweb.asm.Label arg0,
                                         org.objectweb.asm.Label arg1,
                                         org.objectweb.asm.Label arg2,
                                         java.lang.String arg3)

      Overrides:
        `visitTryCatchBlock` in class `org.objectweb.asm.MethodVisitor`

    - #### visitLocalVariable

          public void visitLocalVariable(java.lang.String arg0,
                                         java.lang.String arg1,
                                         java.lang.String arg2,
                                         org.objectweb.asm.Label arg3,
                                         org.objectweb.asm.Label arg4,
                                         int arg5)

      Overrides:
        `visitLocalVariable` in class `org.objectweb.asm.MethodVisitor`

    - #### visitLineNumber

          public void visitLineNumber(int arg0,
                                      org.objectweb.asm.Label arg1)

      Overrides:
        `visitLineNumber` in class `org.objectweb.asm.MethodVisitor`

    - #### visitMaxs

          public void visitMaxs(int arg0,
                                int arg1)

      Overrides:
        `visitMaxs` in class `org.objectweb.asm.MethodVisitor`

    - #### visitEnd

          public void visitEnd()

      Overrides:
        `visitEnd` in class `org.objectweb.asm.MethodVisitor`

    - #### tableswitch

          public void tableswitch(int min,
                                  int max,
                                  org.objectweb.asm.Label defaultLabel,
                                  org.objectweb.asm.Label[] cases)

    - #### visitFrame

          public void visitFrame(int arg0,
                                 int arg1,
                                 java.lang.Object[] arg2,
                                 int arg3,
                                 java.lang.Object[] arg4)

      Overrides:
        `visitFrame` in class `org.objectweb.asm.MethodVisitor`

Jython homepage